## python-chartkick 1.0.1+ds1

=== Makefile ===
lint:
	pycodestyle . --ignore=E501

publish: clean
	python3 setup.py bdist_wheel --universal
	ls dist
	# twine upload dist/*
	make clean

clean:
	rm -rf .pytest_cache build dist chartkick.egg-info

=== requirements.txt ===
Django
Flask
pytest

## python-chartkick 0.5.0

=== debian/changelog ===
python-chartkick (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 20:52:58 +0200

python-chartkick (0.5.0-1) unstable; urgency=low

  * Initial release. Closes: #836360

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Sep 2016 23:15:15 +0800

=== debian/control ===
Source: python-chartkick
Section: python
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/mher/chartkick.py
Vcs-Git: https://salsa.debian.org/python-team/modules/python-chartkick.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-chartkick

Package: python3-chartkick
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
Description: create beautiful JavaScript charts with minimal code (Python 3)
 chartkick provides a beautiful JavaScript charts. It supports Chart.js, Google
 Charts, and Highcharts, and works with Django, Flask/Jinja2.
 .
 This package provides Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = chartkick

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/chartkick/chartkick-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-chartkick 1.0.1+ds1

=== debian/changelog ===
python-chartkick (1.0.1+ds1-1) unstable; urgency=medium

  * Old upstream repository abandoned, switching to new upstream at
    https://github.com/ankane/chartkick.py.
  * Consequently, new upstream release.
  * Bug fix: "contains embedded code copy of Javascript library
    Chartkick.js", thanks to Jonas Smedegaard (Closes: #836577). Also use
    packaged version of Chart.js for good measure.
  * Filter out Chart.js and chartkick.js from the source package.
  * Update debian/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 10 Jan 2024 21:26:10 +0100

python-chartkick (0.5.0-3) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Repository-Browse.

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Sep 2020 08:53:36 +0200

=== debian/control ===
Source: python-chartkick
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
	   Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
	       python3-flask,
	       python3-pytest,
	       python3-django,
Standards-Version: 3.9.8
Homepage: https://github.com/ankane/chartkick.py
Vcs-Git: https://salsa.debian.org/python-team/packages/python-chartkick.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-chartkick

Package: python3-chartkick
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
	 libjs-chartkick.js,
	 libjs-chart.js,
Description: create beautiful JavaScript charts with minimal code (Python 3)
 chartkick provides a beautiful JavaScript charts. It supports Chart.js, Google
 Charts, and Highcharts, and works with Django, Flask/Jinja2.
 .
 This package provides Python 3 library.

=== debian/watch ===
version=4
opts="repack, repacksuffix=+ds1, dversionmangle=s/\+ds\d+//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ankane/chartkick.py/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-chartkick 1.1.0%2Bds1

=== debian/control ===
Source: python-chartkick
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-flask,
 python3-pytest,
 python3-django,
Standards-Version: 4.7.3
Homepage: https://github.com/ankane/chartkick.py
Vcs-Git: https://salsa.debian.org/python-team/packages/python-chartkick.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-chartkick

Package: python3-chartkick
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libjs-chartkick.js,
 libjs-chart.js,
Description: create beautiful JavaScript charts with minimal code (Python 3)
 chartkick provides a beautiful JavaScript charts. It supports Chart.js, Google
 Charts, and Highcharts, and works with Django, Flask/Jinja2.
 .
 This package provides Python 3 library.

## python-chartkick 1.1.0+ds1

=== Makefile ===
.PHONY: lint build publish clean

lint:
	pycodestyle . --ignore=E501

build:
	python3 -m build

publish: clean build
	twine upload dist/*

clean:
	rm -rf .pytest_cache dist chartkick.egg-info

=== debian/changelog ===
python-chartkick (1.1.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Use pybuild-plugin-pyproject with pybuild.
  * debian/copyright: Updated.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Feb 2026 10:23:35 -0500

python-chartkick (1.0.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use canonical maintainer name and email.
  * debian/control: Unify indent and avoid using tabs.
  * debian/: Use dh-sequence-python3.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 11:28:52 -0400

=== debian/watch ===
Version: 5

Source: https://github.com/ankane/chartkick.py/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
Dversionmangle: s/\+ds\d+//
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Repack: yes
Repacksuffix: +ds1
Update-Script: uupdate
